FullScreen = LibStub("AceAddon-3.0"):NewAddon("Broker_Fullscreen", "AceEvent-3.0")
local FullScreen = FullScreen
local icon = "Interface\\Addons\\Broker_Fullscreen\\icon.tga"

local GetCVar = GetCVar
local SetCVar = SetCVar
local screenMode
local text = {
	[0] = "Fullscreen",
	[1] = "Windowed",
}

function FullScreen:OnInitialize()
	self:Print("LOLOLOL")
	screenMode = GetCVar("gxWindow")
	self:UpdateText()
end

function FullScreen:UpdateText()
	FullScreen.plugin.text = text[1 - screenMode]
end

function FullScreen:ToggleMode()
	SetCVar(1 - screenMode)
	UpdateText()
	RestartGx()
end

FullScreen.plugin = LibStub("LibDataBroker-1.1"):NewDataObject("Broker_Fullscreen", {
						type = "data source",
						icon = icon,
						label = "Broker_Fullscreen",
						text = "Fullscreen",
						OnTooltipShow = function(tooltip)
											if not tooltip or not tooltip.AddLine then return end
											tooltip:AddLine("")
											if screenMode == "1" then
												tooltip:AddLine("Left click to switch to full screen.")
											else
												tooltip:AddLine("Left click to switch to windowed.")
											end
										end,
						OnClick = function(frame, msg)
									FullScreen:ToggleMode()
								end,
						})